> ## Documentation Index
> Fetch the complete documentation index at: https://developers.portao3.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# /realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/transactions/{transactionId}/spend-review/request



## OpenAPI

````yaml /api-reference/banking.openapi.json post /realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/transactions/{transactionId}/spend-review/request
openapi: 3.0.3
info:
  title: Banking
  version: 1.0.0
  description: >-
    Portão 3 banking API. Generated by tools/openapi from code (routes +
    security) and the hand-written spec (request/response bodies). Banking
    attaches a zod validationSchema at the route; request bodies are resolved
    from it (object + array roots). Responses have no presenter layer, so they
    stay tier=unknown. Confidence tiers: generated:typed=107 copied:manual=7
    unknown=79.
servers:
  - url: https://api.banking.v2.portao3.com.br/
    description: production
  - url: https://api.banking.dev.3pers.com.br/
    description: development
security:
  - bearerAuth: []
tags:
  - name: Accounts
  - name: Wallets
  - name: Cards
  - name: PIX
  - name: PIX Keys (DICT)
  - name: PIX Charges
  - name: PIX Automatic
  - name: PIX Initiation (Open Finance)
  - name: PIX Infractions (MED)
  - name: Boleto
  - name: Boleto Charges
  - name: TED
  - name: Transfers
  - name: Transactions
  - name: Cashback
  - name: Currency Codes
  - name: Reversals
paths:
  /realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/transactions/{transactionId}/spend-review/request:
    post:
      tags:
        - Transactions
      summary: >-
        /realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/transactions/{transactionId}/spend-review/request
      operationId: >-
        postRealmsByRealmIdOrganizationsByOrganizationIdAccountsByAccountIdWalletsByWalletIdTransactionsByTransactionIdSpendReviewRequest
      parameters:
        - name: realmId
          in: path
          required: true
          schema:
            type: string
        - name: organizationId
          in: path
          required: true
          schema:
            type: string
        - name: accountId
          in: path
          required: true
          schema:
            type: string
        - name: walletId
          in: path
          required: true
          schema:
            type: string
        - name: transactionId
          in: path
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  _id:
                    type: string
                  environment:
                    type: string
                    enum:
                      - LIVE
                      - TEST
                  realmId:
                    type: string
                  organizationId:
                    type: string
                  accountId:
                    type: string
                  walletId:
                    type: string
                  balanceCategory:
                    type: string
                    enum:
                      - FLEX_NATIONAL
                      - FLEX_INTERNATIONAL
                      - FOOD
                      - GAS
                      - MOBILITY
                      - TOLL
                      - FLEX_NATIONAL_WITHOUT_WITHDRAWALS
                      - ADS
                      - SAAS
                      - HOTEL
                      - AIRLINES
                      - TRAVEL
                      - BLOCKED
                      - CASHBACK
                  cardId:
                    type: string
                  availableBalanceBefore:
                    type: number
                  financialImpactType:
                    type: string
                    enum:
                      - CREDIT
                      - DEBIT
                      - NONE
                  responseCode:
                    type: string
                    enum:
                      - '0'
                      - '1'
                      - '2'
                      - '3'
                      - '4'
                      - '5'
                      - '6'
                      - '7'
                      - '8'
                      - '9'
                      - '10'
                      - '11'
                      - '12'
                      - '13'
                      - '14'
                      - '15'
                      - '16'
                      - '17'
                      - '18'
                      - '19'
                      - '20'
                      - '21'
                      - '22'
                      - '23'
                      - '24'
                      - '25'
                      - '26'
                      - '27'
                      - '28'
                      - '29'
                      - '30'
                      - '31'
                      - '32'
                      - '33'
                      - '34'
                      - '35'
                      - '36'
                      - '37'
                      - '38'
                      - '39'
                      - '40'
                      - '41'
                      - '42'
                      - '43'
                      - '44'
                      - '46'
                      - '51'
                      - '52'
                      - '53'
                      - '54'
                      - '55'
                      - '56'
                      - '57'
                      - '58'
                      - '59'
                      - '60'
                      - '61'
                      - '62'
                      - '63'
                      - '64'
                      - '65'
                      - '66'
                      - '67'
                      - '68'
                      - '70'
                      - '75'
                      - '76'
                      - '77'
                      - '78'
                      - '79'
                      - '80'
                      - '81'
                      - '82'
                      - '83'
                      - '85'
                      - '86'
                      - '87'
                      - '88'
                      - '90'
                      - '91'
                      - '92'
                      - '93'
                      - '94'
                      - '95'
                      - '96'
                      - '97'
                      - '98'
                      - '100'
                      - '101'
                      - '104'
                      - '105'
                      - '106'
                      - '107'
                      - '108'
                      - '109'
                      - '110'
                      - '111'
                      - '112'
                      - '113'
                      - '114'
                      - '115'
                      - '116'
                      - '117'
                      - '118'
                      - '119'
                      - '120'
                      - '121'
                      - '122'
                      - '123'
                      - '124'
                      - '125'
                      - '126'
                      - '127'
                      - '128'
                      - '129'
                      - '130'
                      - '131'
                      - '132'
                      - '133'
                      - '134'
                      - '135'
                      - '136'
                      - '137'
                      - '138'
                      - '139'
                      - '140'
                      - '141'
                      - '142'
                      - '143'
                      - '144'
                      - '145'
                      - '146'
                      - '147'
                      - '148'
                      - '149'
                      - '150'
                      - '151'
                      - '152'
                      - '153'
                      - '154'
                      - '155'
                      - '156'
                      - '157'
                      - '158'
                      - '159'
                      - '160'
                      - '161'
                      - '162'
                      - '163'
                      - '164'
                      - '165'
                      - '166'
                      - '167'
                      - '168'
                      - '169'
                      - '170'
                      - '171'
                      - '172'
                      - '173'
                      - '174'
                      - '175'
                      - '176'
                      - '177'
                      - '178'
                      - '179'
                      - '180'
                      - '181'
                      - '182'
                      - '183'
                      - '184'
                      - '185'
                      - '186'
                      - '187'
                      - '188'
                      - '189'
                      - '190'
                      - '191'
                      - '192'
                      - '193'
                      - '194'
                      - '195'
                      - '196'
                      - '197'
                      - '198'
                      - '199'
                      - '200'
                      - '201'
                      - '202'
                      - '203'
                      - '204'
                      - '205'
                      - '206'
                      - '207'
                      - '210'
                      - '211'
                      - '212'
                      - '213'
                      - '214'
                      - '215'
                      - '219'
                      - '220'
                      - '221'
                      - '222'
                      - '223'
                      - '224'
                      - '225'
                      - '226'
                      - '229'
                      - '230'
                      - '231'
                      - '232'
                      - '233'
                      - '234'
                      - '235'
                      - '236'
                      - '237'
                      - '238'
                      - '239'
                      - '240'
                      - '241'
                      - '243'
                      - '244'
                      - '245'
                      - '246'
                      - '247'
                      - '248'
                      - '249'
                      - '250'
                      - '251'
                      - '252'
                      - '253'
                      - '254'
                      - '255'
                      - '256'
                      - '257'
                      - '258'
                      - '259'
                      - '260'
                      - '261'
                      - '262'
                      - '263'
                      - '264'
                      - '265'
                      - '266'
                      - '267'
                      - '268'
                      - '269'
                      - '270'
                      - '271'
                      - '272'
                      - '273'
                      - '274'
                      - '275'
                      - '276'
                      - '277'
                      - '278'
                      - '283'
                      - '286'
                      - '290'
                      - '292'
                      - '294'
                      - '296'
                      - '297'
                      - '298'
                      - '380'
                      - '381'
                      - '382'
                      - '383'
                      - '384'
                      - '400'
                      - '3001'
                      - '9553'
                      - '9999'
                  msgType:
                    type: number
                    enum:
                      - 1400
                      - 1420
                      - 1100
                      - 1120
                      - 1220
                      - 1722
                      - 1600
                      - 8900
                      - 8901
                      - 8902
                  txnType:
                    type: number
                    enum:
                      - 0
                      - 1
                      - 2
                      - 3
                      - 4
                      - 5
                      - 6
                      - 7
                      - 8
                      - 9
                      - 10
                      - 11
                      - 12
                      - 13
                      - 14
                      - 15
                      - 16
                      - 17
                      - 18
                      - 19
                      - 20
                      - 21
                      - 22
                      - 23
                      - 24
                      - 25
                      - 26
                      - 27
                      - 28
                      - 29
                      - 30
                      - 31
                      - 32
                      - 33
                      - 34
                      - 35
                      - 36
                      - 37
                      - 38
                      - 39
                      - 40
                      - 41
                      - 42
                      - 43
                      - 44
                      - 45
                      - 46
                      - 47
                      - 48
                      - 49
                      - 50
                      - 51
                      - 52
                      - 53
                      - 54
                      - 55
                      - 56
                      - 57
                      - 58
                      - 63
                      - 67
                      - 68
                      - 73
                      - 74
                      - 75
                      - 76
                      - 77
                      - 100
                      - 101
                  effectiveAt:
                    type: string
                  billingAmount:
                    type: number
                  billingAmountAuthorized:
                    type: number
                  billingCurrency:
                    type: string
                    enum:
                      - '784'
                      - '971'
                      - '008'
                      - '051'
                      - '973'
                      - '032'
                      - '036'
                      - '533'
                      - '944'
                      - '977'
                      - '052'
                      - '050'
                      - '048'
                      - '108'
                      - '060'
                      - '096'
                      - '068'
                      - '984'
                      - '986'
                      - '044'
                      - '064'
                      - '072'
                      - '933'
                      - '084'
                      - '124'
                      - '976'
                      - '947'
                      - '756'
                      - '948'
                      - '990'
                      - '152'
                      - '156'
                      - '170'
                      - '970'
                      - '188'
                      - '192'
                      - '132'
                      - '203'
                      - '262'
                      - '208'
                      - '214'
                      - '012'
                      - '818'
                      - '232'
                      - '230'
                      - '978'
                      - '242'
                      - '238'
                      - '826'
                      - '981'
                      - '936'
                      - '292'
                      - '270'
                      - '324'
                      - '320'
                      - '328'
                      - '344'
                      - '340'
                      - '332'
                      - '348'
                      - '360'
                      - '376'
                      - '356'
                      - '368'
                      - '364'
                      - '352'
                      - '388'
                      - '400'
                      - '392'
                      - '404'
                      - '417'
                      - '116'
                      - '174'
                      - '408'
                      - '410'
                      - '414'
                      - '136'
                      - '398'
                      - '418'
                      - '422'
                      - '144'
                      - '430'
                      - '426'
                      - '434'
                      - '504'
                      - '498'
                      - '969'
                      - '807'
                      - '104'
                      - '496'
                      - '446'
                      - '929'
                      - '480'
                      - '462'
                      - '454'
                      - '484'
                      - '979'
                      - '458'
                      - '943'
                      - '516'
                      - '566'
                      - '558'
                      - '578'
                      - '524'
                      - '554'
                      - '512'
                      - '590'
                      - '604'
                      - '598'
                      - '608'
                      - '586'
                      - '985'
                      - '600'
                      - '634'
                      - '946'
                      - '941'
                      - '643'
                      - '646'
                      - '682'
                      - '090'
                      - '690'
                      - '938'
                      - '752'
                      - '702'
                      - '654'
                      - '925'
                      - '706'
                      - '968'
                      - '728'
                      - '930'
                      - '222'
                      - '760'
                      - '748'
                      - '764'
                      - '972'
                      - '934'
                      - '788'
                      - '776'
                      - '949'
                      - '780'
                      - '901'
                      - '834'
                      - '980'
                      - '800'
                      - '840'
                      - '997'
                      - '940'
                      - '858'
                      - '927'
                      - '860'
                      - '926'
                      - '928'
                      - '704'
                      - '548'
                      - '882'
                      - '396'
                      - '950'
                      - '961'
                      - '959'
                      - '955'
                      - '956'
                      - '957'
                      - '958'
                      - '951'
                      - '532'
                      - '960'
                      - '952'
                      - '964'
                      - '953'
                      - '962'
                      - '994'
                      - '963'
                      - '965'
                      - '999'
                      - '886'
                      - '710'
                      - '967'
                      - '924'
                  cardTransaction:
                    type: object
                    properties:
                      _id:
                        type: string
                      acquiringCountryCode:
                        type: string
                      localTime:
                        type: string
                      acquiringId:
                        type: string
                      txnCurrency:
                        type: string
                        enum:
                          - '784'
                          - '971'
                          - '008'
                          - '051'
                          - '973'
                          - '032'
                          - '036'
                          - '533'
                          - '944'
                          - '977'
                          - '052'
                          - '050'
                          - '048'
                          - '108'
                          - '060'
                          - '096'
                          - '068'
                          - '984'
                          - '986'
                          - '044'
                          - '064'
                          - '072'
                          - '933'
                          - '084'
                          - '124'
                          - '976'
                          - '947'
                          - '756'
                          - '948'
                          - '990'
                          - '152'
                          - '156'
                          - '170'
                          - '970'
                          - '188'
                          - '192'
                          - '132'
                          - '203'
                          - '262'
                          - '208'
                          - '214'
                          - '012'
                          - '818'
                          - '232'
                          - '230'
                          - '978'
                          - '242'
                          - '238'
                          - '826'
                          - '981'
                          - '936'
                          - '292'
                          - '270'
                          - '324'
                          - '320'
                          - '328'
                          - '344'
                          - '340'
                          - '332'
                          - '348'
                          - '360'
                          - '376'
                          - '356'
                          - '368'
                          - '364'
                          - '352'
                          - '388'
                          - '400'
                          - '392'
                          - '404'
                          - '417'
                          - '116'
                          - '174'
                          - '408'
                          - '410'
                          - '414'
                          - '136'
                          - '398'
                          - '418'
                          - '422'
                          - '144'
                          - '430'
                          - '426'
                          - '434'
                          - '504'
                          - '498'
                          - '969'
                          - '807'
                          - '104'
                          - '496'
                          - '446'
                          - '929'
                          - '480'
                          - '462'
                          - '454'
                          - '484'
                          - '979'
                          - '458'
                          - '943'
                          - '516'
                          - '566'
                          - '558'
                          - '578'
                          - '524'
                          - '554'
                          - '512'
                          - '590'
                          - '604'
                          - '598'
                          - '608'
                          - '586'
                          - '985'
                          - '600'
                          - '634'
                          - '946'
                          - '941'
                          - '643'
                          - '646'
                          - '682'
                          - '090'
                          - '690'
                          - '938'
                          - '752'
                          - '702'
                          - '654'
                          - '925'
                          - '706'
                          - '968'
                          - '728'
                          - '930'
                          - '222'
                          - '760'
                          - '748'
                          - '764'
                          - '972'
                          - '934'
                          - '788'
                          - '776'
                          - '949'
                          - '780'
                          - '901'
                          - '834'
                          - '980'
                          - '800'
                          - '840'
                          - '997'
                          - '940'
                          - '858'
                          - '927'
                          - '860'
                          - '926'
                          - '928'
                          - '704'
                          - '548'
                          - '882'
                          - '396'
                          - '950'
                          - '961'
                          - '959'
                          - '955'
                          - '956'
                          - '957'
                          - '958'
                          - '951'
                          - '532'
                          - '960'
                          - '952'
                          - '964'
                          - '953'
                          - '962'
                          - '994'
                          - '963'
                          - '965'
                          - '999'
                          - '886'
                          - '710'
                          - '967'
                          - '924'
                      txnAmount:
                        type: number
                      txnAmountAuthorized:
                        type: number
                      linkedTransactions:
                        type: array
                        items:
                          type: object
                          properties:
                            transactionId:
                              type: string
                            linkType:
                              type: string
                              enum:
                                - REVERSES
                                - REVERSED_BY
                                - EXPIRES
                                - EXPIRED_BY
                                - CLEARING_CREDITS
                                - CLEARING_DEBITS
                                - CLEARING_CREDITED_BY
                                - CLEARING_DEBITED_BY
                                - CLEARING_DEBIT_OVERCLEARS
                                - CLEARING_DEBIT_OVERCLEARED_BY
                                - FUNDS_TRANSFER
                                - CREDIT_DEBIT_POSTING
                                - JIT_FUNDS
                                - JIT_FUNDED_BY_DEBIT
                                - ADJUSTS
                                - ADJUSTED_BY
                                - REFUNDS
                                - REFUNDED_BY
                                - CAPTURES
                                - CAPTURED_BY
                                - INCREMENTS
                                - INCREMENTED_BY
                                - CREATES
                                - CREATED_BY
                                - DUPLICATES
                                - FEE
                                - FEE_FROM
                                - AUTH_ADVICE_RETURN
                            createdAt:
                              type: string
                            updatedAt:
                              type: string
                          required:
                            - transactionId
                            - linkType
                            - createdAt
                            - updatedAt
                      mcc:
                        type: string
                        enum:
                          - '5931'
                          - '5932'
                          - '5933'
                          - '5937'
                          - '5137'
                          - '5139'
                          - '5611'
                          - '5621'
                          - '5631'
                          - '5641'
                          - '5651'
                          - '5655'
                          - '5661'
                          - '5681'
                          - '5691'
                          - '5698'
                          - '5699'
                          - '5945'
                          - '5949'
                          - '5970'
                          - '5971'
                          - '5972'
                          - '5300'
                          - '7278'
                          - '7997'
                          - '8398'
                          - '8641'
                          - '8651'
                          - '8661'
                          - '8675'
                          - '8699'
                          - '5511'
                          - '5531'
                          - '5935'
                          - '7534'
                          - '5512'
                          - '5521'
                          - '5532'
                          - '5533'
                          - '5541'
                          - '5542'
                          - '5552'
                          - '5599'
                          - '7523'
                          - '7535'
                          - '7538'
                          - '7549'
                          - '6540'
                          - '7399'
                          - '2741'
                          - '2791'
                          - '2842'
                          - '5013'
                          - '5021'
                          - '5039'
                          - '5044'
                          - '5045'
                          - '5046'
                          - '5047'
                          - '5051'
                          - '5065'
                          - '5072'
                          - '5074'
                          - '5085'
                          - '5099'
                          - '5111'
                          - '5122'
                          - '5131'
                          - '5169'
                          - '5172'
                          - '5192'
                          - '5193'
                          - '5199'
                          - '5272'
                          - '5815'
                          - '6536'
                          - '6537'
                          - '7375'
                          - '7379'
                          - '7829'
                          - '8734'
                          - '9950'
                          - '7210'
                          - '7211'
                          - '7216'
                          - '7217'
                          - '7342'
                          - '7349'
                          - '7542'
                          - '780'
                          - '1520'
                          - '1711'
                          - '1731'
                          - '1740'
                          - '1750'
                          - '1761'
                          - '1771'
                          - '1799'
                          - '5309'
                          - '5310'
                          - '5311'
                          - '5331'
                          - '5399'
                          - '5960'
                          - '5962'
                          - '5963'
                          - '5964'
                          - '5965'
                          - '5966'
                          - '5967'
                          - '5968'
                          - '5969'
                          - '5811'
                          - '5812'
                          - '5813'
                          - '5814'
                          - '8211'
                          - '8220'
                          - '8241'
                          - '8244'
                          - '8249'
                          - '8299'
                          - '5732'
                          - '5734'
                          - '5735'
                          - '5816'
                          - '5817'
                          - '5818'
                          - '7832'
                          - '7922'
                          - '7929'
                          - '7941'
                          - '7996'
                          - '7998'
                          - '4829'
                          - '5262'
                          - '6010'
                          - '6011'
                          - '6012'
                          - '6051'
                          - '6211'
                          - '5411'
                          - '5422'
                          - '5441'
                          - '5451'
                          - '5462'
                          - '5499'
                          - '5921'
                          - '9222'
                          - '9311'
                          - '9399'
                          - '9402'
                          - '9405'
                          - '9406'
                          - '4119'
                          - '5912'
                          - '5976'
                          - '8011'
                          - '8021'
                          - '8031'
                          - '8041'
                          - '8042'
                          - '8043'
                          - '8049'
                          - '8062'
                          - '8071'
                          - '8099'
                          - '8050'
                          - '5198'
                          - '5211'
                          - '5231'
                          - '5251'
                          - '5261'
                          - '5983'
                          - '5200'
                          - '5712'
                          - '5713'
                          - '5714'
                          - '5718'
                          - '5719'
                          - '5722'
                          - '6300'
                          - '8111'
                          - '9211'
                          - '9223'
                          - '3837'
                          - '3838'
                          - '7012'
                          - '9700'
                          - '9701'
                          - '9702'
                          - '5977'
                          - '7230'
                          - '7251'
                          - '7273'
                          - '7276'
                          - '7277'
                          - '7297'
                          - '7298'
                          - '7299'
                          - '7321'
                          - '7361'
                          - '7392'
                          - '8351'
                          - '5946'
                          - '7221'
                          - '7333'
                          - '7338'
                          - '7395'
                          - '742'
                          - '763'
                          - '7261'
                          - '7311'
                          - '7339'
                          - '7372'
                          - '7801'
                          - '7802'
                          - '8911'
                          - '8931'
                          - '8999'
                          - '5271'
                          - '5561'
                          - '5592'
                          - '5598'
                          - '5940'
                          - '5998'
                          - '7032'
                          - '7033'
                          - '7800'
                          - '7911'
                          - '7932'
                          - '7933'
                          - '7991'
                          - '7992'
                          - '7993'
                          - '7994'
                          - '7995'
                          - '7999'
                          - '4723'
                          - '9751'
                          - '9752'
                          - '4457'
                          - '6513'
                          - '7296'
                          - '7394'
                          - '7513'
                          - '7519'
                          - '7841'
                          - '4468'
                          - '5697'
                          - '7531'
                          - '7622'
                          - '7623'
                          - '7629'
                          - '7631'
                          - '7641'
                          - '7692'
                          - '7699'
                          - '5975'
                          - '7393'
                          - '4225'
                          - '4900'
                          - '5094'
                          - '5551'
                          - '5571'
                          - '5733'
                          - '5941'
                          - '5942'
                          - '5943'
                          - '5944'
                          - '5947'
                          - '5948'
                          - '5950'
                          - '5973'
                          - '5978'
                          - '5992'
                          - '5993'
                          - '5994'
                          - '5995'
                          - '5996'
                          - '5997'
                          - '5999'
                          - '3069'
                          - '4411'
                          - '4511'
                          - '7011'
                          - '7512'
                          - '4899'
                          - '4812'
                          - '4814'
                          - '4816'
                          - '4821'
                          - '3056'
                          - '4011'
                          - '4111'
                          - '4112'
                          - '4121'
                          - '4131'
                          - '4214'
                          - '4215'
                          - '4582'
                          - '4722'
                          - '4784'
                          - '4789'
                          - '3000'
                          - '3001'
                          - '3002'
                          - '3003'
                          - '3004'
                          - '3005'
                          - '3006'
                          - '3007'
                          - '3008'
                          - '3009'
                          - '3010'
                          - '3011'
                          - '3012'
                          - '3013'
                          - '3014'
                          - '3015'
                          - '3016'
                          - '3017'
                          - '3018'
                          - '3019'
                          - '3020'
                          - '3021'
                          - '3022'
                          - '3023'
                          - '3024'
                          - '3025'
                          - '3026'
                          - '3027'
                          - '3028'
                          - '3029'
                          - '3030'
                          - '3031'
                          - '3032'
                          - '3033'
                          - '3034'
                          - '3035'
                          - '3036'
                          - '3037'
                          - '3038'
                          - '3039'
                          - '3040'
                          - '3041'
                          - '3042'
                          - '3043'
                          - '3044'
                          - '3045'
                          - '3046'
                          - '3047'
                          - '3048'
                          - '3049'
                          - '3050'
                          - '3051'
                          - '3052'
                          - '3053'
                          - '3054'
                          - '3055'
                          - '3057'
                          - '3058'
                          - '3059'
                          - '3060'
                          - '3061'
                          - '3062'
                          - '3063'
                          - '3064'
                          - '3065'
                          - '3066'
                          - '3067'
                          - '3068'
                          - '3071'
                          - '3072'
                          - '3075'
                          - '3076'
                          - '3077'
                          - '3078'
                          - '3079'
                          - '3082'
                          - '3083'
                          - '3084'
                          - '3085'
                          - '3086'
                          - '3087'
                          - '3088'
                          - '3089'
                          - '3090'
                          - '3094'
                          - '3096'
                          - '3097'
                          - '3098'
                          - '3099'
                          - '3100'
                          - '3102'
                          - '3103'
                          - '3106'
                          - '3110'
                          - '3111'
                          - '3112'
                          - '3115'
                          - '3117'
                          - '3118'
                          - '3125'
                          - '3126'
                          - '3127'
                          - '3129'
                          - '3130'
                          - '3131'
                          - '3132'
                          - '3133'
                          - '3135'
                          - '3136'
                          - '3137'
                          - '3138'
                          - '3143'
                          - '3144'
                          - '3145'
                          - '3146'
                          - '3148'
                          - '3151'
                          - '3154'
                          - '3156'
                          - '3159'
                          - '3161'
                          - '3164'
                          - '3165'
                          - '3167'
                          - '3170'
                          - '3171'
                          - '3172'
                          - '3174'
                          - '3175'
                          - '3176'
                          - '3177'
                          - '3178'
                          - '3180'
                          - '3181'
                          - '3182'
                          - '3183'
                          - '3184'
                          - '3185'
                          - '3186'
                          - '3187'
                          - '3188'
                          - '3190'
                          - '3191'
                          - '3193'
                          - '3196'
                          - '3197'
                          - '3200'
                          - '3203'
                          - '3204'
                          - '3206'
                          - '3211'
                          - '3212'
                          - '3213'
                          - '3215'
                          - '3216'
                          - '3217'
                          - '3218'
                          - '3219'
                          - '3220'
                          - '3221'
                          - '3222'
                          - '3223'
                          - '3226'
                          - '3228'
                          - '3229'
                          - '3231'
                          - '3233'
                          - '3234'
                          - '3235'
                          - '3236'
                          - '3238'
                          - '3239'
                          - '3240'
                          - '3241'
                          - '3242'
                          - '3243'
                          - '3245'
                          - '3246'
                          - '3247'
                          - '3248'
                          - '3251'
                          - '3252'
                          - '3253'
                          - '3254'
                          - '3256'
                          - '3259'
                          - '3260'
                          - '3261'
                          - '3262'
                          - '3263'
                          - '3266'
                          - '3267'
                          - '3280'
                          - '3282'
                          - '3284'
                          - '3285'
                          - '3286'
                          - '3287'
                          - '3292'
                          - '3293'
                          - '3294'
                          - '3295'
                          - '3296'
                          - '3297'
                          - '3298'
                          - '3299'
                          - '3300'
                          - '3301'
                          - '3302'
                          - '3351'
                          - '3352'
                          - '3353'
                          - '3354'
                          - '3355'
                          - '3357'
                          - '3359'
                          - '3360'
                          - '3361'
                          - '3362'
                          - '3364'
                          - '3366'
                          - '3368'
                          - '3370'
                          - '3374'
                          - '3376'
                          - '3380'
                          - '3381'
                          - '3385'
                          - '3386'
                          - '3387'
                          - '3388'
                          - '3389'
                          - '3390'
                          - '3391'
                          - '3393'
                          - '3394'
                          - '3395'
                          - '3396'
                          - '3398'
                          - '3400'
                          - '3405'
                          - '3409'
                          - '3412'
                          - '3414'
                          - '3420'
                          - '3421'
                          - '3423'
                          - '3425'
                          - '3427'
                          - '3428'
                          - '3429'
                          - '3430'
                          - '3431'
                          - '3432'
                          - '3433'
                          - '3434'
                          - '3435'
                          - '3436'
                          - '3437'
                          - '3438'
                          - '3439'
                          - '2838'
                          - '3501'
                          - '3502'
                          - '3503'
                          - '3504'
                          - '3505'
                          - '3506'
                          - '3507'
                          - '3508'
                          - '3509'
                          - '3510'
                          - '3511'
                          - '3512'
                          - '3513'
                          - '3514'
                          - '3515'
                          - '3516'
                          - '3517'
                          - '3518'
                          - '3519'
                          - '3520'
                          - '3521'
                          - '3522'
                          - '3523'
                          - '3524'
                          - '3525'
                          - '3526'
                          - '3527'
                          - '3528'
                          - '3529'
                          - '3530'
                          - '3531'
                          - '3532'
                          - '3533'
                          - '3534'
                          - '3535'
                          - '3536'
                          - '3537'
                          - '3538'
                          - '3539'
                          - '3540'
                          - '3541'
                          - '3542'
                          - '3543'
                          - '3544'
                          - '3545'
                          - '3546'
                          - '3548'
                          - '3549'
                          - '3550'
                          - '3551'
                          - '3552'
                          - '3553'
                          - '3554'
                          - '3555'
                          - '3556'
                          - '3557'
                          - '3558'
                          - '3559'
                          - '3560'
                          - '3561'
                          - '3562'
                          - '3563'
                          - '3564'
                          - '3565'
                          - '3566'
                          - '3567'
                          - '3568'
                          - '3569'
                          - '3570'
                          - '3571'
                          - '3572'
                          - '3573'
                          - '3574'
                          - '3575'
                          - '3576'
                          - '3577'
                          - '3578'
                          - '3579'
                          - '3580'
                          - '3581'
                          - '3582'
                          - '3583'
                          - '3584'
                          - '3586'
                          - '3587'
                          - '3588'
                          - '3589'
                          - '3590'
                          - '3591'
                          - '3592'
                          - '3593'
                          - '3594'
                          - '3595'
                          - '3596'
                          - '3597'
                          - '3598'
                          - '3599'
                          - '3602'
                          - '3603'
                          - '3604'
                          - '3607'
                          - '3608'
                          - '3609'
                          - '3612'
                          - '3613'
                          - '3614'
                          - '3615'
                          - '3617'
                          - '3618'
                          - '3619'
                          - '3620'
                          - '3621'
                          - '3622'
                          - '3623'
                          - '3624'
                          - '3625'
                          - '3626'
                          - '3627'
                          - '3628'
                          - '3629'
                          - '3630'
                          - '3631'
                          - '3632'
                          - '3633'
                          - '3634'
                          - '3635'
                          - '3636'
                          - '3637'
                          - '3638'
                          - '3639'
                          - '3640'
                          - '3641'
                          - '3642'
                          - '3643'
                          - '3644'
                          - '3645'
                          - '3646'
                          - '3647'
                          - '3648'
                          - '3649'
                          - '3650'
                          - '3651'
                          - '3652'
                          - '3653'
                          - '3654'
                          - '3655'
                          - '3656'
                          - '3657'
                          - '3658'
                          - '3659'
                          - '3660'
                          - '3661'
                          - '3662'
                          - '3663'
                          - '3664'
                          - '3665'
                          - '3666'
                          - '3667'
                          - '3668'
                          - '3669'
                          - '3670'
                          - '3671'
                          - '3672'
                          - '3673'
                          - '3674'
                          - '3675'
                          - '3676'
                          - '3677'
                          - '3678'
                          - '3679'
                          - '3680'
                          - '3681'
                          - '3682'
                          - '3683'
                          - '3684'
                          - '3685'
                          - '3686'
                          - '3687'
                          - '3688'
                          - '3689'
                          - '3690'
                          - '3691'
                          - '3692'
                          - '3693'
                          - '3694'
                          - '3695'
                          - '3696'
                          - '3697'
                          - '3698'
                          - '3699'
                          - '3700'
                          - '3701'
                          - '3702'
                          - '3703'
                          - '3704'
                          - '3705'
                          - '3706'
                          - '3707'
                          - '3708'
                          - '3709'
                          - '3710'
                          - '3711'
                          - '3712'
                          - '3713'
                          - '3714'
                          - '3715'
                          - '3716'
                          - '3717'
                          - '3718'
                          - '3719'
                          - '3720'
                          - '3721'
                          - '3722'
                          - '3723'
                          - '3724'
                          - '3725'
                          - '3726'
                          - '3727'
                          - '3728'
                          - '3729'
                          - '3730'
                          - '3731'
                          - '3732'
                          - '3734'
                          - '3735'
                          - '3736'
                          - '3737'
                          - '3738'
                          - '3739'
                          - '3740'
                          - '3741'
                          - '3742'
                          - '3743'
                          - '3744'
                          - '3745'
                          - '3746'
                          - '3747'
                          - '3748'
                          - '3749'
                          - '3750'
                          - '3751'
                          - '3752'
                          - '3753'
                          - '3754'
                          - '3755'
                          - '3757'
                          - '3758'
                          - '3759'
                          - '3760'
                          - '3761'
                          - '3762'
                          - '3763'
                          - '3764'
                          - '3765'
                          - '3766'
                          - '3767'
                          - '3768'
                          - '3769'
                          - '3770'
                          - '3771'
                          - '3772'
                          - '3773'
                          - '3774'
                          - '3775'
                          - '3776'
                          - '3777'
                          - '3778'
                          - '3779'
                          - '3780'
                          - '3781'
                          - '3782'
                          - '3783'
                          - '3784'
                          - '3785'
                          - '3786'
                          - '3787'
                          - '3788'
                          - '3789'
                          - '3790'
                          - '3791'
                          - '3792'
                          - '3793'
                          - '3794'
                          - '3795'
                          - '3796'
                          - '3797'
                          - '3798'
                          - '3799'
                          - '3800'
                          - '3802'
                          - '3807'
                          - '3808'
                          - '3811'
                          - '3812'
                          - '3813'
                          - '3814'
                          - '3815'
                          - '3818'
                          - '3822'
                          - '3823'
                          - '3824'
                          - '3825'
                          - '3826'
                          - '3827'
                          - '3834'
                          - '3835'
                          - '3836'
                      merchantCity:
                        type: string
                      merchantCountry:
                        type: string
                      merchantId:
                        type: string
                      merchantName:
                        type: string
                      expired:
                        type: boolean
                      cleared:
                        type: boolean
                      overcleared:
                        type: boolean
                      recurring:
                        type: boolean
                        nullable: true
                      reversed:
                        type: boolean
                      posEntryMode:
                        type: string
                      mobileWalletProvider:
                        type: number
                        enum:
                          - 103
                          - 216
                          - 217
                          - 327
                        description: >-
                          Digital wallet used to pay (Apple Pay, Google Pay,
                          ...).
                    required:
                      - acquiringCountryCode
                      - localTime
                      - acquiringId
                      - txnCurrency
                      - txnAmount
                      - txnAmountAuthorized
                      - linkedTransactions
                      - mcc
                      - merchantCity
                      - merchantCountry
                      - merchantId
                      - merchantName
                      - expired
                      - cleared
                      - overcleared
                      - reversed
                      - posEntryMode
                  pixTransaction:
                    type: object
                    properties:
                      internalPixId:
                        type: string
                      internalPixBillingId:
                        type: string
                      initiationType:
                        type: string
                        enum:
                          - MANUAL
                          - DICT
                          - STATIC_QRCODE
                          - DYNAMIC_QRCODE
                          - UNDEFINED_QRCODE
                          - COPY_PASTE
                          - FULL_BANK_DETAILS
                          - REVERSAL
                          - AUTOMATIC_PIX
                          - PAYMENT_INITIATOR
                      creditParty:
                        type: object
                        properties:
                          bankIspb:
                            type: string
                          accountType:
                            type: string
                            enum:
                              - CACC
                              - SLRY
                              - SVGS
                              - TRAN
                          document:
                            type: string
                          keyType:
                            type: string
                            enum:
                              - PHONE
                              - EMAIL
                              - CPF
                              - CNPJ
                              - EVP
                          key:
                            type: string
                          name:
                            type: string
                          street:
                            type: string
                          city:
                            type: string
                          state:
                            type: string
                          postalCode:
                            type: string
                          branch:
                            type: string
                          accountNumber:
                            type: number
                      debitParty:
                        type: object
                        properties:
                          bankIspb:
                            type: string
                          accountType:
                            type: string
                            enum:
                              - CACC
                              - SLRY
                              - SVGS
                              - TRAN
                          document:
                            type: string
                          keyType:
                            type: string
                            enum:
                              - PHONE
                              - EMAIL
                              - CPF
                              - CNPJ
                              - EVP
                          key:
                            type: string
                          name:
                            type: string
                          street:
                            type: string
                          city:
                            type: string
                          state:
                            type: string
                          postalCode:
                            type: string
                          branch:
                            type: string
                          accountNumber:
                            type: number
                      payer:
                        type: object
                        properties:
                          document:
                            type: string
                          name:
                            type: string
                        required:
                          - document
                          - name
                      withdrawal:
                        type: object
                        properties:
                          agentType:
                            type: string
                            nullable: true
                            enum:
                              - AGTEC
                              - AGTOT
                              - AGPSS
                              - null
                          serviceProvider:
                            type: string
                            nullable: true
                        required:
                          - agentType
                          - serviceProvider
                      receipt:
                        type: object
                        properties:
                          endToEndId:
                            type: string
                        required:
                          - endToEndId
                      description:
                        type: string
                        nullable: true
                      dueDate:
                        type: string
                      expiresAt:
                        type: string
                      txnCurrency:
                        type: string
                        enum:
                          - '784'
                          - '971'
                          - '008'
                          - '051'
                          - '973'
                          - '032'
                          - '036'
                          - '533'
                          - '944'
                          - '977'
                          - '052'
                          - '050'
                          - '048'
                          - '108'
                          - '060'
                          - '096'
                          - '068'
                          - '984'
                          - '986'
                          - '044'
                          - '064'
                          - '072'
                          - '933'
                          - '084'
                          - '124'
                          - '976'
                          - '947'
                          - '756'
                          - '948'
                          - '990'
                          - '152'
                          - '156'
                          - '170'
                          - '970'
                          - '188'
                          - '192'
                          - '132'
                          - '203'
                          - '262'
                          - '208'
                          - '214'
                          - '012'
                          - '818'
                          - '232'
                          - '230'
                          - '978'
                          - '242'
                          - '238'
                          - '826'
                          - '981'
                          - '936'
                          - '292'
                          - '270'
                          - '324'
                          - '320'
                          - '328'
                          - '344'
                          - '340'
                          - '332'
                          - '348'
                          - '360'
                          - '376'
                          - '356'
                          - '368'
                          - '364'
                          - '352'
                          - '388'
                          - '400'
                          - '392'
                          - '404'
                          - '417'
                          - '116'
                          - '174'
                          - '408'
                          - '410'
                          - '414'
                          - '136'
                          - '398'
                          - '418'
                          - '422'
                          - '144'
                          - '430'
                          - '426'
                          - '434'
                          - '504'
                          - '498'
                          - '969'
                          - '807'
                          - '104'
                          - '496'
                          - '446'
                          - '929'
                          - '480'
                          - '462'
                          - '454'
                          - '484'
                          - '979'
                          - '458'
                          - '943'
                          - '516'
                          - '566'
                          - '558'
                          - '578'
                          - '524'
                          - '554'
                          - '512'
                          - '590'
                          - '604'
                          - '598'
                          - '608'
                          - '586'
                          - '985'
                          - '600'
                          - '634'
                          - '946'
                          - '941'
                          - '643'
                          - '646'
                          - '682'
                          - '090'
                          - '690'
                          - '938'
                          - '752'
                          - '702'
                          - '654'
                          - '925'
                          - '706'
                          - '968'
                          - '728'
                          - '930'
                          - '222'
                          - '760'
                          - '748'
                          - '764'
                          - '972'
                          - '934'
                          - '788'
                          - '776'
                          - '949'
                          - '780'
                          - '901'
                          - '834'
                          - '980'
                          - '800'
                          - '840'
                          - '997'
                          - '940'
                          - '858'
                          - '927'
                          - '860'
                          - '926'
                          - '928'
                          - '704'
                          - '548'
                          - '882'
                          - '396'
                          - '950'
                          - '961'
                          - '959'
                          - '955'
                          - '956'
                          - '957'
                          - '958'
                          - '951'
                          - '532'
                          - '960'
                          - '952'
                          - '964'
                          - '953'
                          - '962'
                          - '994'
                          - '963'
                          - '965'
                          - '999'
                          - '886'
                          - '710'
                          - '967'
                          - '924'
                      txnOriginalAmount:
                        type: number
                      txnDiscountAmount:
                        type: number
                      txnFineAmount:
                        type: number
                      txnInterestAmount:
                        type: number
                      txnPurchaseAmount:
                        type: number
                      txnWithdrawalAmount:
                        type: number
                      txnUpdatedAmount:
                        type: number
                      txnUpdatedAmountAuthorized:
                        type: number
                      qrCodeType:
                        type: string
                        enum:
                          - STATIC
                          - COB
                          - COBV
                      pixCopyPaste:
                        type: string
                      qrQrCodeActive:
                        type: boolean
                      errorDescription:
                        type: string
                      cleared:
                        type: boolean
                      linkedTransactions:
                        type: array
                        items:
                          type: object
                          properties:
                            transactionId:
                              type: string
                            linkType:
                              type: string
                              enum:
                                - REVERSES
                                - REVERSED_BY
                                - EXPIRES
                                - EXPIRED_BY
                                - CLEARING_CREDITS
                                - CLEARING_DEBITS
                                - CLEARING_CREDITED_BY
                                - CLEARING_DEBITED_BY
                                - CLEARING_DEBIT_OVERCLEARS
                                - CLEARING_DEBIT_OVERCLEARED_BY
                                - FUNDS_TRANSFER
                                - CREDIT_DEBIT_POSTING
                                - JIT_FUNDS
                                - JIT_FUNDED_BY_DEBIT
                                - ADJUSTS
                                - ADJUSTED_BY
                                - REFUNDS
                                - REFUNDED_BY
                                - CAPTURES
                                - CAPTURED_BY
                                - INCREMENTS
                                - INCREMENTED_BY
                                - CREATES
                                - CREATED_BY
                                - DUPLICATES
                                - FEE
                                - FEE_FROM
                                - AUTH_ADVICE_RETURN
                            createdAt:
                              type: string
                            updatedAt:
                              type: string
                          required:
                            - transactionId
                            - linkType
                            - createdAt
                            - updatedAt
                      additionalInfo:
                        type: array
                        items:
                          type: object
                          properties:
                            key:
                              type: string
                            value:
                              type: string
                          required:
                            - key
                            - value
                    required:
                      - initiationType
                      - creditParty
                      - debitParty
                      - description
                      - txnCurrency
                      - txnOriginalAmount
                      - txnDiscountAmount
                      - txnFineAmount
                      - txnInterestAmount
                      - txnPurchaseAmount
                      - txnWithdrawalAmount
                      - txnUpdatedAmount
                      - txnUpdatedAmountAuthorized
                      - cleared
                      - linkedTransactions
                  boletoTransaction:
                    type: object
                    properties:
                      internalBoletoId:
                        type: string
                      barcode:
                        type: string
                      txnCurrency:
                        type: string
                        enum:
                          - '784'
                          - '971'
                          - '008'
                          - '051'
                          - '973'
                          - '032'
                          - '036'
                          - '533'
                          - '944'
                          - '977'
                          - '052'
                          - '050'
                          - '048'
                          - '108'
                          - '060'
                          - '096'
                          - '068'
                          - '984'
                          - '986'
                          - '044'
                          - '064'
                          - '072'
                          - '933'
                          - '084'
                          - '124'
                          - '976'
                          - '947'
                          - '756'
                          - '948'
                          - '990'
                          - '152'
                          - '156'
                          - '170'
                          - '970'
                          - '188'
                          - '192'
                          - '132'
                          - '203'
                          - '262'
                          - '208'
                          - '214'
                          - '012'
                          - '818'
                          - '232'
                          - '230'
                          - '978'
                          - '242'
                          - '238'
                          - '826'
                          - '981'
                          - '936'
                          - '292'
                          - '270'
                          - '324'
                          - '320'
                          - '328'
                          - '344'
                          - '340'
                          - '332'
                          - '348'
                          - '360'
                          - '376'
                          - '356'
                          - '368'
                          - '364'
                          - '352'
                          - '388'
                          - '400'
                          - '392'
                          - '404'
                          - '417'
                          - '116'
                          - '174'
                          - '408'
                          - '410'
                          - '414'
                          - '136'
                          - '398'
                          - '418'
                          - '422'
                          - '144'
                          - '430'
                          - '426'
                          - '434'
                          - '504'
                          - '498'
                          - '969'
                          - '807'
                          - '104'
                          - '496'
                          - '446'
                          - '929'
                          - '480'
                          - '462'
                          - '454'
                          - '484'
                          - '979'
                          - '458'
                          - '943'
                          - '516'
                          - '566'
                          - '558'
                          - '578'
                          - '524'
                          - '554'
                          - '512'
                          - '590'
                          - '604'
                          - '598'
                          - '608'
                          - '586'
                          - '985'
                          - '600'
                          - '634'
                          - '946'
                          - '941'
                          - '643'
                          - '646'
                          - '682'
                          - '090'
                          - '690'
                          - '938'
                          - '752'
                          - '702'
                          - '654'
                          - '925'
                          - '706'
                          - '968'
                          - '728'
                          - '930'
                          - '222'
                          - '760'
                          - '748'
                          - '764'
                          - '972'
                          - '934'
                          - '788'
                          - '776'
                          - '949'
                          - '780'
                          - '901'
                          - '834'
                          - '980'
                          - '800'
                          - '840'
                          - '997'
                          - '940'
                          - '858'
                          - '927'
                          - '860'
                          - '926'
                          - '928'
                          - '704'
                          - '548'
                          - '882'
                          - '396'
                          - '950'
                          - '961'
                          - '959'
                          - '955'
                          - '956'
                          - '957'
                          - '958'
                          - '951'
                          - '532'
                          - '960'
                          - '952'
                          - '964'
                          - '953'
                          - '962'
                          - '994'
                          - '963'
                          - '965'
                          - '999'
                          - '886'
                          - '710'
                          - '967'
                          - '924'
                      txnOriginalAmount:
                        type: number
                      txnDiscountAmount:
                        type: number
                      txnFineAmount:
                        type: number
                      txnInterestAmount:
                        type: number
                      txnUpdatedAmount:
                        type: number
                      txnUpdatedAmountAuthorized:
                        type: number
                      txnMaxAmount:
                        type: number
                      txnMinAmount:
                        type: number
                      receipt:
                        type: object
                        properties:
                          authentication:
                            type: string
                          authenticationApi:
                            type: string
                          receipt:
                            type: string
                        required:
                          - authentication
                          - authenticationApi
                          - receipt
                      confirmedAt:
                        type: string
                      dueDate:
                        type: string
                      expiresAt:
                        type: string
                      settlesAt:
                        type: string
                      issuer:
                        type: string
                      payee:
                        type: string
                      payeeDocument:
                        type: string
                      payer:
                        type: string
                      payerDocument:
                        type: string
                      linkedTransactions:
                        type: array
                        items:
                          type: object
                          properties:
                            transactionId:
                              type: string
                            linkType:
                              type: string
                              enum:
                                - REVERSES
                                - REVERSED_BY
                                - EXPIRES
                                - EXPIRED_BY
                                - CLEARING_CREDITS
                                - CLEARING_DEBITS
                                - CLEARING_CREDITED_BY
                                - CLEARING_DEBITED_BY
                                - CLEARING_DEBIT_OVERCLEARS
                                - CLEARING_DEBIT_OVERCLEARED_BY
                                - FUNDS_TRANSFER
                                - CREDIT_DEBIT_POSTING
                                - JIT_FUNDS
                                - JIT_FUNDED_BY_DEBIT
                                - ADJUSTS
                                - ADJUSTED_BY
                                - REFUNDS
                                - REFUNDED_BY
                                - CAPTURES
                                - CAPTURED_BY
                                - INCREMENTS
                                - INCREMENTED_BY
                                - CREATES
                                - CREATED_BY
                                - DUPLICATES
                                - FEE
                                - FEE_FROM
                                - AUTH_ADVICE_RETURN
                            createdAt:
                              type: string
                            updatedAt:
                              type: string
                          required:
                            - transactionId
                            - linkType
                            - createdAt
                            - updatedAt
                      type:
                        type: string
                        enum:
                          - GENERIC
                          - UTILITY_BILL
                    required:
                      - barcode
                      - txnCurrency
                      - txnOriginalAmount
                      - txnDiscountAmount
                      - txnFineAmount
                      - txnInterestAmount
                      - txnUpdatedAmount
                      - txnUpdatedAmountAuthorized
                      - txnMaxAmount
                      - txnMinAmount
                      - issuer
                      - payee
                      - payeeDocument
                      - payer
                      - payerDocument
                      - linkedTransactions
                      - type
                  p2pTransaction:
                    type: object
                    properties:
                      txnCurrency:
                        type: string
                        enum:
                          - '784'
                          - '971'
                          - '008'
                          - '051'
                          - '973'
                          - '032'
                          - '036'
                          - '533'
                          - '944'
                          - '977'
                          - '052'
                          - '050'
                          - '048'
                          - '108'
                          - '060'
                          - '096'
                          - '068'
                          - '984'
                          - '986'
                          - '044'
                          - '064'
                          - '072'
                          - '933'
                          - '084'
                          - '124'
                          - '976'
                          - '947'
                          - '756'
                          - '948'
                          - '990'
                          - '152'
                          - '156'
                          - '170'
                          - '970'
                          - '188'
                          - '192'
                          - '132'
                          - '203'
                          - '262'
                          - '208'
                          - '214'
                          - '012'
                          - '818'
                          - '232'
                          - '230'
                          - '978'
                          - '242'
                          - '238'
                          - '826'
                          - '981'
                          - '936'
                          - '292'
                          - '270'
                          - '324'
                          - '320'
                          - '328'
                          - '344'
                          - '340'
                          - '332'
                          - '348'
                          - '360'
                          - '376'
                          - '356'
                          - '368'
                          - '364'
                          - '352'
                          - '388'
                          - '400'
                          - '392'
                          - '404'
                          - '417'
                          - '116'
                          - '174'
                          - '408'
                          - '410'
                          - '414'
                          - '136'
                          - '398'
                          - '418'
                          - '422'
                          - '144'
                          - '430'
                          - '426'
                          - '434'
                          - '504'
                          - '498'
                          - '969'
                          - '807'
                          - '104'
                          - '496'
                          - '446'
                          - '929'
                          - '480'
                          - '462'
                          - '454'
                          - '484'
                          - '979'
                          - '458'
                          - '943'
                          - '516'
                          - '566'
                          - '558'
                          - '578'
                          - '524'
                          - '554'
                          - '512'
                          - '590'
                          - '604'
                          - '598'
                          - '608'
                          - '586'
                          - '985'
                          - '600'
                          - '634'
                          - '946'
                          - '941'
                          - '643'
                          - '646'
                          - '682'
                          - '090'
                          - '690'
                          - '938'
                          - '752'
                          - '702'
                          - '654'
                          - '925'
                          - '706'
                          - '968'
                          - '728'
                          - '930'
                          - '222'
                          - '760'
                          - '748'
                          - '764'
                          - '972'
                          - '934'
                          - '788'
                          - '776'
                          - '949'
                          - '780'
                          - '901'
                          - '834'
                          - '980'
                          - '800'
                          - '840'
                          - '997'
                          - '940'
                          - '858'
                          - '927'
                          - '860'
                          - '926'
                          - '928'
                          - '704'
                          - '548'
                          - '882'
                          - '396'
                          - '950'
                          - '961'
                          - '959'
                          - '955'
                          - '956'
                          - '957'
                          - '958'
                          - '951'
                          - '532'
                          - '960'
                          - '952'
                          - '964'
                          - '953'
                          - '962'
                          - '994'
                          - '963'
                          - '965'
                          - '999'
                          - '886'
                          - '710'
                          - '967'
                          - '924'
                      txnAmount:
                        type: number
                      txnAmountAuthorized:
                        type: number
                      payeeAccountId:
                        type: string
                      payeeWalletId:
                        type: string
                        nullable: true
                      payerAccountId:
                        type: string
                      payerWalletId:
                        type: string
                        nullable: true
                      linkedTransactions:
                        type: array
                        items:
                          type: object
                          properties:
                            transactionId:
                              type: string
                            linkType:
                              type: string
                              enum:
                                - REVERSES
                                - REVERSED_BY
                                - EXPIRES
                                - EXPIRED_BY
                                - CLEARING_CREDITS
                                - CLEARING_DEBITS
                                - CLEARING_CREDITED_BY
                                - CLEARING_DEBITED_BY
                                - CLEARING_DEBIT_OVERCLEARS
                                - CLEARING_DEBIT_OVERCLEARED_BY
                                - FUNDS_TRANSFER
                                - CREDIT_DEBIT_POSTING
                                - JIT_FUNDS
                                - JIT_FUNDED_BY_DEBIT
                                - ADJUSTS
                                - ADJUSTED_BY
                                - REFUNDS
                                - REFUNDED_BY
                                - CAPTURES
                                - CAPTURED_BY
                                - INCREMENTS
                                - INCREMENTED_BY
                                - CREATES
                                - CREATED_BY
                                - DUPLICATES
                                - FEE
                                - FEE_FROM
                                - AUTH_ADVICE_RETURN
                            createdAt:
                              type: string
                            updatedAt:
                              type: string
                          required:
                            - transactionId
                            - linkType
                            - createdAt
                            - updatedAt
                    required:
                      - txnCurrency
                      - txnAmount
                      - txnAmountAuthorized
                      - payeeAccountId
                      - payeeWalletId
                      - payerAccountId
                      - payerWalletId
                      - linkedTransactions
                  tedTransaction:
                    type: object
                    properties:
                      internalTedId:
                        type: string
                      creditParty:
                        type: object
                        properties:
                          accountNumber:
                            type: string
                          accountType:
                            type: string
                            enum:
                              - CACC
                              - SVGS
                          bankCode:
                            type: string
                          branch:
                            type: string
                          document:
                            type: string
                          name:
                            type: string
                          personName:
                            type: string
                      debitParty:
                        type: object
                        properties:
                          accountNumber:
                            type: string
                          accountType:
                            type: string
                            enum:
                              - CACC
                              - SVGS
                          bankCode:
                            type: string
                          branch:
                            type: string
                          document:
                            type: string
                          name:
                            type: string
                          personName:
                            type: string
                      description:
                        type: string
                      rolledback:
                        type: object
                        properties:
                          reason:
                            type: string
                          reasonCode:
                            type: string
                      txnCurrency:
                        type: string
                        enum:
                          - '784'
                          - '971'
                          - '008'
                          - '051'
                          - '973'
                          - '032'
                          - '036'
                          - '533'
                          - '944'
                          - '977'
                          - '052'
                          - '050'
[...]
